Get an income statement
curl --request GET \
--url https://api.integrations.commenda.io/v4/core/companies/{companyId}/income_statements/{id} \
--header 'api_key: <api-key>'import requests
url = "https://api.integrations.commenda.io/v4/core/companies/{companyId}/income_statements/{id}"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://api.integrations.commenda.io/v4/core/companies/{companyId}/income_statements/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"rootfi_id": 123,
"rootfi_created_at": "2023-11-07T05:31:56Z",
"rootfi_updated_at": "2023-11-07T05:31:56Z",
"platform_id": "<string>",
"revenue": "<unknown>",
"cost_of_goods_sold": "<unknown>",
"gross_profit": 123,
"operating_expenses": "<unknown>",
"operating_profit": 123,
"non_operating_revenue": "<unknown>",
"non_operating_expenses": "<unknown>",
"earnings_before_taxes": 123,
"taxes": "<unknown>",
"net_profit": 123,
"period_start": "2023-11-07T05:31:56Z",
"period_end": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"request_id": "<string>"
}Income Statements
Get an income statement
GET
/
v4
/
core
/
companies
/
{companyId}
/
income_statements
/
{id}
Get an income statement
Authorizations
Your Commenda Integrations API key, sent in the api_key header.
Path Parameters
Commenda company id.
The record's rootfi_id.
Query Parameters
Comma-separated related resources to expand.
Response
200 - application/json
A single income_statements record.
An Income Statement is a financial report that shows a business's revenue, expenses, and net income or loss over a specific period of time. In an accounting platform, an income statement is typically generated automatically based on the financial transactions that have been recorded in the system.
Show child attributes
Show child attributes
⌘I